package com.usky.cockpit.common.interceptor;

import com.usky.cockpit.common.config.DateStringConvert;
import com.usky.cockpit.common.config.StringDateConverter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.format.FormatterRegistry;
import org.springframework.format.support.FormattingConversionService;
import org.springframework.http.converter.ObjectToStringHttpMessageConverter;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @author han
 */
@Configuration
public class WebMvcConfig implements WebMvcConfigurer {

    @Override
    public void addFormatters(FormatterRegistry registry) {
        registry.addConverter(new StringDateConverter());
    }

    @Bean
    public ObjectToStringHttpMessageConverter objectToStringHttpMessageConverter() {
        FormattingConversionService conversionService = new FormattingConversionService();
        conversionService.addConverter(new StringDateConverter());
        conversionService.addConverter(new DateStringConvert());
        ObjectToStringHttpMessageConverter httpMessageconverter = new ObjectToStringHttpMessageConverter(conversionService);
        return httpMessageconverter;
    }
}
